/*
 * ExtractorsUnitTest.hpp
 *
 *  Created on: Oct 16, 2012
 *      Author: heber
 */

#ifndef FUNCTIONARGUMENTUNITTEST_HPP_
#define FUNCTIONARGUMENTUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

/********************************************** Test classes **************************************/

class ExtractorsTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( ExtractorsTest) ;
    CPPUNIT_TEST ( gatherAllDistanceArgumentsTest );
    CPPUNIT_TEST ( reorderArgumentsByIncreasingDistanceTest );
    CPPUNIT_TEST ( gatherDistanceOfTuplesTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void gatherAllDistanceArgumentsTest();
      void reorderArgumentsByIncreasingDistanceTest();
      void gatherDistanceOfTuplesTest();

private:
};

#endif /* FUNCTIONARGUMENTUNITTEST_HPP_ */
